/*
 * NVIDIA_COPYRIGHT_BEGIN
 *
 * Copyright 1999-2002 by NVIDIA Corporation.  All rights reserved.  All
 * information contained herein is proprietary and confidential to NVIDIA
 * Corporation.  Any use, reproduction, or disclosure without the written
 * permission of NVIDIA Corporation is prohibited.
 *
 * NVIDIA_COPYRIGHT_END
 */


#ifndef INCLUDED_MODS_H
#define INCLUDED_MODS_H

var g_ModsHId = "$Id: //sw/nvr40/diag/mods/js/mods.h#1 $";

//------------------------------------------------------------------------------
// Macros
//
#define OK (RC.OK)

#define CHECK_RC(f)           \
   do {                       \
      if (OK != (rc = (f)))   \
         return rc;           \
   } while (0)

#define CHECK_RC_CLEANUP(f)   \
   do {                       \
      if (OK != (rc = (f)))   \
         break Cleanup;       \
   } while (0)

#endif // !INCLUDED_MODS_H
